//获取最近三个月时间
export function getTimeMonth() {
    // var end = new Date();
    // var year = end.getFullYear();
    // var month = end.getMonth() + 1; //0-11表示1-12月
    // var day = end.getDate();
    // var dateObj = {};
    // dateObj.end = year + "-" + month + "-" + day;
    // var endMonthDay = new Date(year, month, 0).getDate(); //当前月的总天数
    // if (month - 2 <= 0) {
    //   //如果是1月，年数往前推一年<br>
    //   dateObj.start = year - 1 + "-" + 12 + "-" + day;
    // } else {
    //   var startMonthDay = new Date(year, parseInt(month) - 1, 0).getDate();
    //   if (startMonthDay < day) {
    //     //1个月前所在月的总天数小于现在的天日期
    //     if (day < endMonthDay) {
    //       //当前天日期小于当前月总天数
    //       dateObj.start =
    //         year +
    //         "-" +
    //         (month - 1) +
    //         "-" +
    //         (startMonthDay - (endMonthDay - day));
    //     } else {
    //       dateObj.start = year + "-" + (month - 1) + "-" + startMonthDay;
    //     }
    //   } else {
    //     dateObj.start = year + "-" + (month - 1) + "-" + day;
    //   }
    // }
    // // console.log(JSON.stringify(dateObj));
    // return dateObj

    var end = new Date();
    var year = end.getFullYear();
    var month = end.getMonth() + 1;//0-11表示1-12月
    var day = end.getDate();
    var dateObj = {};
    dateObj.end = year + '-' + month + '-' + day;
    var endMonthDay = new Date(year, month, 0).getDate();    //当前月的总天数
    if (month - 3 <= 0) { //如果是1、2、3月，年数往前推一年
        var start3MonthDay = new Date((year - 1), (12 - (3 - parseInt(month))), 0).getDate();    //3个月前所在月的总天数
        if (start3MonthDay < day) {    //3个月前所在月的总天数小于现在的天日期
            dateObj.start = (year - 1) + '-' + (12 - (3 - month)) + '-' + start3MonthDay;
        } else {
            dateObj.start = (year - 1) + '-' + (12 - (3 - month)) + '-' + day;
        }
    } else {
        var start3MonthDay = new Date(year, (parseInt(month) - 3), 0).getDate();    //3个月前所在月的总天数
        if (start3MonthDay < day) {    //3个月前所在月的总天数小于现在的天日期
            if (day < endMonthDay) {        //当前天日期小于当前月总天数,2月份比较特殊的月份
                dateObj.start = year + '-' + (month - 3) + '-' + (start3MonthDay - (endMonthDay - day));
            } else {
                dateObj.start = year + '-' + (month - 3) + '-' + start3MonthDay;
            }
        } else {
            dateObj.start = year + '-' + (month - 3) + '-' + day;
        }
    }
    // console.log(JSON.stringify(dateObj))

     return dateObj

}